﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Repository;

#nullable disable

namespace Repository.Migrations
{
    [DbContext(typeof(DbEntity))]
    partial class DbEntityModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "6.0.9")
                .HasAnnotation("Relational:MaxIdentifierLength", 128);

            SqlServerModelBuilderExtensions.UseIdentityColumns(modelBuilder, 1L, 1);

            modelBuilder.Entity("Model.EntityModel.CommentModel", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"), 1L, 1);

                    b.Property<int>("CreatedBy")
                        .HasColumnType("int")
                        .HasColumnOrder(102);

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime2")
                        .HasColumnOrder(103);

                    b.Property<int?>("DeletedBy")
                        .HasColumnType("int")
                        .HasColumnOrder(106);

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime2")
                        .HasColumnOrder(107);

                    b.Property<int>("FkCustomerId")
                        .HasColumnType("int");

                    b.Property<int>("FkHotelId")
                        .HasColumnType("int");

                    b.Property<string>("Guid")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("RStatus")
                        .HasColumnType("int")
                        .HasColumnOrder(101);

                    b.Property<string>("Text")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Title")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int?>("UpdatedBy")
                        .HasColumnType("int")
                        .HasColumnOrder(104);

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime2")
                        .HasColumnOrder(105);

                    b.HasKey("Id");

                    b.HasIndex("FkCustomerId");

                    b.HasIndex("FkHotelId");

                    b.ToTable("Comments");
                });

            modelBuilder.Entity("Model.EntityModel.CustomerModel", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"), 1L, 1);

                    b.Property<int>("CreatedBy")
                        .HasColumnType("int")
                        .HasColumnOrder(102);

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime2")
                        .HasColumnOrder(103);

                    b.Property<string>("CustomerCode")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int?>("DeletedBy")
                        .HasColumnType("int")
                        .HasColumnOrder(106);

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime2")
                        .HasColumnOrder(107);

                    b.Property<string>("Email")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Guid")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Phone")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("RStatus")
                        .HasColumnType("int")
                        .HasColumnOrder(101);

                    b.Property<int?>("UpdatedBy")
                        .HasColumnType("int")
                        .HasColumnOrder(104);

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime2")
                        .HasColumnOrder(105);

                    b.HasKey("Id");

                    b.ToTable("Customers");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            CreatedBy = 1,
                            CreatedDate = new DateTime(2023, 1, 10, 1, 27, 17, 171, DateTimeKind.Local).AddTicks(5719),
                            CustomerCode = "C-1",
                            Email = "khalid.eco.5@gmail.com",
                            Guid = "84ca62890e4f4c549aeb39a6b416e87fcdbb96ddcd4b47a6840404419eab3340",
                            Name = "Haris",
                            Phone = "123654",
                            RStatus = 1
                        },
                        new
                        {
                            Id = 2,
                            CreatedBy = 1,
                            CreatedDate = new DateTime(2023, 1, 10, 1, 27, 17, 171, DateTimeKind.Local).AddTicks(5737),
                            CustomerCode = "C-2",
                            Email = "khalid.eco.5@gmail.com",
                            Guid = "9c6fcc7d7d7a4c0ea8fe090ff53087871f6ad89465704083be9825a8676446ec",
                            Name = "Ubaydah",
                            Phone = "1236545",
                            RStatus = 1
                        },
                        new
                        {
                            Id = 3,
                            CreatedBy = 1,
                            CreatedDate = new DateTime(2023, 1, 10, 1, 27, 17, 171, DateTimeKind.Local).AddTicks(5746),
                            CustomerCode = "C-3",
                            Email = "khalid.eco.5@gmail.com",
                            Guid = "031dd63442f94284982fa7a3d55384d648c00de710d14b2f901bbcb5b9ad24a2",
                            Name = "Saiful",
                            Phone = "1236546",
                            RStatus = 1
                        });
                });

            modelBuilder.Entity("Model.EntityModel.HotelModel", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"), 1L, 1);

                    b.Property<int>("CreatedBy")
                        .HasColumnType("int")
                        .HasColumnOrder(102);

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime2")
                        .HasColumnOrder(103);

                    b.Property<int?>("DeletedBy")
                        .HasColumnType("int")
                        .HasColumnOrder(106);

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime2")
                        .HasColumnOrder(107);

                    b.Property<string>("Guid")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("HotelCode")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Location")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("RStatus")
                        .HasColumnType("int")
                        .HasColumnOrder(101);

                    b.Property<int>("Rating")
                        .HasColumnType("int");

                    b.Property<int?>("UpdatedBy")
                        .HasColumnType("int")
                        .HasColumnOrder(104);

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime2")
                        .HasColumnOrder(105);

                    b.HasKey("Id");

                    b.ToTable("Hotels");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            CreatedBy = 1,
                            CreatedDate = new DateTime(2023, 1, 10, 1, 27, 17, 171, DateTimeKind.Local).AddTicks(5950),
                            Guid = "630a7ef7bf7140d8a1b4d4013f3ef9388f79e3ae285249adb529443953990f56",
                            HotelCode = "H-1",
                            Location = "Airport Road, Dhaka Cantonment, Dhaka City 1206 Bangladesh",
                            Name = " Radisson Blu Dhaka Water Garden",
                            RStatus = 1,
                            Rating = 3
                        },
                        new
                        {
                            Id = 2,
                            CreatedBy = 1,
                            CreatedDate = new DateTime(2023, 1, 10, 1, 27, 17, 171, DateTimeKind.Local).AddTicks(5962),
                            Guid = "969feedb3d934216b450a5766deaa5e2bfc8ef64f7c547dbaff5fc6d49b4ab36",
                            HotelCode = "H-2",
                            Location = "107 Kazi Nazrul Islam Avenue GPO Box 3595, Dhaka City 1215 Bangladesh",
                            Name = "Pan Pacific Sonargaon Dhaka",
                            RStatus = 1,
                            Rating = 5
                        },
                        new
                        {
                            Id = 3,
                            CreatedBy = 1,
                            CreatedDate = new DateTime(2023, 1, 10, 1, 27, 17, 171, DateTimeKind.Local).AddTicks(5970),
                            Guid = "77b336b6771646b586732dce58abc05060a740329d6949ceaec25228ea700f7f",
                            HotelCode = "H-3",
                            Location = "1 Minto Road G, Dhaka City 1000 Bangladesh",
                            Name = "InterContinental Dhaka, an IHG Hotel",
                            RStatus = 1,
                            Rating = 7
                        });
                });

            modelBuilder.Entity("Model.EntityModel.ReplyModel", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"), 1L, 1);

                    b.Property<int>("CreatedBy")
                        .HasColumnType("int")
                        .HasColumnOrder(102);

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime2")
                        .HasColumnOrder(103);

                    b.Property<int?>("DeletedBy")
                        .HasColumnType("int")
                        .HasColumnOrder(106);

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime2")
                        .HasColumnOrder(107);

                    b.Property<int>("FkCommentId")
                        .HasColumnType("int");

                    b.Property<int>("FkStafId")
                        .HasColumnType("int");

                    b.Property<string>("Guid")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("RStatus")
                        .HasColumnType("int")
                        .HasColumnOrder(101);

                    b.Property<string>("Text")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Title")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int?>("UpdatedBy")
                        .HasColumnType("int")
                        .HasColumnOrder(104);

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime2")
                        .HasColumnOrder(105);

                    b.HasKey("Id");

                    b.HasIndex("FkCommentId");

                    b.HasIndex("FkStafId");

                    b.ToTable("Replies");
                });

            modelBuilder.Entity("Model.EntityModel.StaffModel", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"), 1L, 1);

                    b.Property<int>("CreatedBy")
                        .HasColumnType("int")
                        .HasColumnOrder(102);

                    b.Property<DateTime>("CreatedDate")
                        .HasColumnType("datetime2")
                        .HasColumnOrder(103);

                    b.Property<int?>("DeletedBy")
                        .HasColumnType("int")
                        .HasColumnOrder(106);

                    b.Property<DateTime?>("DeletedDate")
                        .HasColumnType("datetime2")
                        .HasColumnOrder(107);

                    b.Property<string>("Email")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Guid")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Phone")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("RStatus")
                        .HasColumnType("int")
                        .HasColumnOrder(101);

                    b.Property<string>("StafCode")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int?>("UpdatedBy")
                        .HasColumnType("int")
                        .HasColumnOrder(104);

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime2")
                        .HasColumnOrder(105);

                    b.HasKey("Id");

                    b.ToTable("Staffs");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            CreatedBy = 1,
                            CreatedDate = new DateTime(2023, 1, 10, 1, 27, 17, 171, DateTimeKind.Local).AddTicks(5908),
                            Email = "1@gmail.com",
                            Guid = "397d4b997af346088a19610572c7a7727f68f246ffb54910ae48d7b44ffa6b7b",
                            Name = "Haris",
                            Phone = "***256",
                            RStatus = 1,
                            StafCode = "S-1"
                        },
                        new
                        {
                            Id = 2,
                            CreatedBy = 1,
                            CreatedDate = new DateTime(2023, 1, 10, 1, 27, 17, 171, DateTimeKind.Local).AddTicks(5917),
                            Email = "2@gmail.com",
                            Guid = "f5a1fcedd0de4934b6a87eeec3e61944b444265bdb2e4a3ab299d2dd9c3ed8bb",
                            Name = "Ubaydah",
                            Phone = "***257",
                            RStatus = 1,
                            StafCode = "S-2"
                        },
                        new
                        {
                            Id = 3,
                            CreatedBy = 1,
                            CreatedDate = new DateTime(2023, 1, 10, 1, 27, 17, 171, DateTimeKind.Local).AddTicks(5925),
                            Email = "3@gmail.com",
                            Guid = "ede9f2c3b74148b0bc7111261672053d50f669ead6e94f2fb4b1c1e0598580dc",
                            Name = "Saiful",
                            Phone = "***258",
                            RStatus = 1,
                            StafCode = "S-3"
                        });
                });

            modelBuilder.Entity("Model.EntityModel.CommentModel", b =>
                {
                    b.HasOne("Model.EntityModel.CustomerModel", "Customer")
                        .WithMany("Comments")
                        .HasForeignKey("FkCustomerId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();

                    b.HasOne("Model.EntityModel.HotelModel", "Hotel")
                        .WithMany("Comments")
                        .HasForeignKey("FkHotelId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();

                    b.Navigation("Customer");

                    b.Navigation("Hotel");
                });

            modelBuilder.Entity("Model.EntityModel.ReplyModel", b =>
                {
                    b.HasOne("Model.EntityModel.CommentModel", "Comment")
                        .WithMany("Replies")
                        .HasForeignKey("FkCommentId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();

                    b.HasOne("Model.EntityModel.StaffModel", "Staff")
                        .WithMany("Replies")
                        .HasForeignKey("FkStafId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();

                    b.Navigation("Comment");

                    b.Navigation("Staff");
                });

            modelBuilder.Entity("Model.EntityModel.CommentModel", b =>
                {
                    b.Navigation("Replies");
                });

            modelBuilder.Entity("Model.EntityModel.CustomerModel", b =>
                {
                    b.Navigation("Comments");
                });

            modelBuilder.Entity("Model.EntityModel.HotelModel", b =>
                {
                    b.Navigation("Comments");
                });

            modelBuilder.Entity("Model.EntityModel.StaffModel", b =>
                {
                    b.Navigation("Replies");
                });
#pragma warning restore 612, 618
        }
    }
}
